--- title: "Get Non-Standard Ports at Domain Level" slug: "get-non-standard-ports-at-domain-level-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/get-non-standard-ports-at-domain-level-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Non-Standard Ports at Domain Level This URL gets all the non-standard ports configured on the specified domain. ### Resource URL GET /domain//nonstandardports ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domain_id` | Domain Id | Number | Yes | ### Response Parameter | Field Name | Description | Data Type | | --- | --- | --- | | `NonStandardPortResponseList` | List of non-standard ports | Array | Details of object in NonStandardPortResponseList: | Field Name | Description | Data Type | | --- | --- | --- | | `protocol` | "Protocol/Transport" pair | String | | `portAssignment` | Array of assigned port numbers | Array | ### Example **Request** GET [https:///sdkapi/domain/0/nonstandardports](https://<NSM_IP>/sdkapi/domain/0/nonstandardports) **Response** ``` {       "NonStandardPortResponseList":       [           {               "protocol": "FTP/TCP",               "portAssignmentList":                [               21,                    12,                    32                ]           },           {               "protocol": "TELNET/UDP",                             "portAssignmentList":                [                 23,                    555                ]                         }       ] } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |